#ifndef _TARGET_H_
#define _TARGET_H_

#include <allegro.h>

#include "part.h"

class Target : public Part {
public:	
		
	Target(float _xp, float _yp, float _rp, float _R, bool _flip = 0, int _type = 0);	
	virtual ~Target();
	
	virtual void draw();	
	virtual void draw2();
	
	virtual void move(float d);
	
	void ballcollision(class Ball *b);
	bool ballcollision(class Ball *b, float *nx, float *ny);
	
	virtual bool collide(class Ball *b);
	
	static Target *targets;
	Target *nexttarget;
	
	int type;
	
	int hit;				
	bool flip;
		
	bool owncol;		
};

extern Target *launcher;

#endif